Reset changes in workspace
curl --request POST \
--url https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/reset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"all": true,
"paths": [
"<string>"
]
}
'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/reset"
payload = {
"all": True,
"paths": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({all: true, paths: ['<string>']})
};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": [
"<string>"
],
"fail": [
"<string>"
]
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}ワークスペース操作
Reset changes in workspace
Resets uncommitted changes in a workspace by discarding modifications and optionally deleting added files.
Parameters:
all=true- reset everythingpathsarray - reset specific filesdelete_added(defaults to false) - controls whether newly added files are deletedwrite_to_journal(defaults to true) - records the reset operation
Returns: Lists of:
- Succeeded paths
- Failed paths
- Skipped paths
Requirements: Requires WRITE access.
POST
/
repos
/
{repo_id}
/
workspaces
/
{workspace_id}
/
reset
Reset changes in workspace
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
The repo ID of the workspace.
Required string length:
3 - 128Example:
"example_id"
Body
application/json

